Project Instance
API endpoint that allows projects to be viewed or edited.
GET /api/v2/projects/111/?format=api
{ "id": 111, "name": "AV", "description": "", "details": "https://api.beluga.insectai.org/api/v2/projects/111/?format=api", "deployments_count": 1, "created_at": "2025-10-13T06:43:45.885912", "updated_at": "2025-10-13T06:43:47.288285", "image": null, "draft": false, "deployments": [ { "id": 285, "name": "Default Station", "image": null, "details": "https://api.beluga.insectai.org/api/v2/deployments/285/?format=api", "latitude": 0.0, "longitude": 0.0, "events_count": 1, "user_permissions": [] } ], "summary_data": [ { "id": "captures", "title": "Captures", "plots": [ { "title": "Average captures per hour", "data": { "x": [ "1:00 AM", "2:00 AM" ], "y": [ 1.0, 2.0 ], "ticktext": [ "1:00 AM", "2:00 AM" ] }, "type": "bar" }, { "title": "Captures per month", "data": { "x": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ], "y": [ 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0 ], "tickvals": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ] }, "type": "bar" } ] }, { "id": "occurrences", "title": "Occurrences", "plots": [ { "title": "Average detections per hour", "data": { "x": [], "y": [], "ticktext": [] }, "type": "bar" }, { "title": "Occurrences per month", "data": { "x": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ], "y": [ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ], "tickvals": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ] }, "type": "bar" } ] }, { "id": "taxa", "title": "Taxa", "plots": [ { "title": "Top species observed", "data": { "x": [], "y": [] }, "type": "bar", "orientation": "h" }, { "title": "Unique species per month", "data": { "x": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ], "y": [ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ], "tickvals": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ] }, "type": "bar" } ] } ], "owner": { "id": 4, "name": "Anna Viklund", "image": "https://object-arbutus.cloud.computecanada.ca/ami-media-staging/uploads/users/insect-monitor.jpeg", "details": "https://api.beluga.insectai.org/api/v2/users/4/?format=api", "user_permissions": [] }, "feature_flags": { "tags": false, "reprocess_existing_detections": false, "default_filters": false, "reprocess_all_images": false, "async_pipeline_workers": false }, "settings": { "default_filters_exclude_taxa": [], "default_filters_include_taxa": [], "default_filters_score_threshold": 0.5, "default_processing_pipeline": { "id": 3, "details": "https://api.beluga.insectai.org/api/v2/ml/pipelines/3/?format=api", "name": "Quebec & Vermont moths", "slug": "quebec_vermont_moths_2023", "description": "", "version": 1, "version_name": "", "created_at": "2023-11-27T23:26:16.449157", "updated_at": "2026-04-01T17:09:36.520322", "user_permissions": [] }, "session_time_gap_seconds": 7200, "user_permissions": [] }, "is_member": false, "user_permissions": [] }